Subject: Re: patch for ixgbe-3.3.9 (out-of-tree) driver.

From: Alexander Duyck <[email-masked]>
Date: Wed, 01 Jun 2011 13:17:22 -0700

On 06/01/2011 10:50 AM, Ben Greear wrote:
> Using 'ethtool -t ethX' with 82598 chipset causes
> kernel splats because spin-lock wasn't initialized properly.
> This can probably cause other problems, but I'm not certain
> of that.
>
> I can't tell that anyone actually watches the sourceforge list,
> so posting it here...
>
> The reason I'm using the out-of-tree driver is that a customer
> reports link bouncing when using the 82598 NIC.  They are stuck
> on a .34 kernel at the moment, so maybe it's fixed upstream already.
> At any rate, I can't reproduce the problem locally, but the 3.3.9
> driver appears to work for them.
>
> Thanks,
> Ben
>
Ben,

I will make certain this fix is incorporated into our ixgbe out-of-tree 
driver for the next release.

Thanks for the patch,

Alex